* {
    box-sizing: border-box;
}
:root {
    color-scheme: light;

    --color-bg: #f3f9f9;
    --color-surface: #5eaf73;
    --color-text: #021b1a;
    --color-muted: #03624c;
    --color-border: #032221;
}

@media (prefers-color-scheme: dark) {
    :root {
        color-scheme: dark;

        --color-bg: #021b1a;
        --color-surface: #5eaf73;
        --color-text: #f3f9f9;
        --color-muted: #03624c;
        --color-border: #032221;
    }
}

body {
    background: var(--color-bg);
    color: var(--color-text);
    padding: 0 24px;
    font-family: "Courier New", Courier, monospace;
    max-width: 1000px;
    margin: auto;
}

main {
    padding: 0;
}

.hero {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.profile-img {
    width: 150px;
    max-width: 100%;
    height: auto;
    margin: auto;
    border-radius: 50%;
    border-width: 4px;
    border-style: solid;
    border-color: var(--color-surface);
}

.hidden-small {
    display: none;
}

.show-small {
    display: block;
}

input {
    all: unset;
}

@media (min-width: 768px) {
    body {
        padding: 0 64px;
    }
    .activeNavButton {
        font-size: 30px;
    }

    .navButton {
        font-size: 30px;
    }

    main {
        padding: 0px 50px;
    }

    .hero {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .profile-img {
        margin: 0;
    }

    .hidden-small {
        display: block;
    }

    .show-small {
        display: none;
    }
}

.navbar {
    display: flex;
    gap: 20px;
}

.navButton {
    padding: 3px;
    border-width: 2px;
    border-style: solid;
    border-color: var(--color-surface);
    font-size: 20px;
    text-decoration: none;
    color: var(--color-text);
    transition: background-color 500ms;
}

.navButton:hover {
    background-color: var(--color-muted);
}

.activeNavButton {
    padding: 3px;
    border-width: 2px;
    border-style: solid;
    border-color: var(--color-surface);
    font-size: 20px;
    text-decoration: none;
    color: var(--color-text);
    background-color: var(--color-surface);
}

.space-mono-regular {
    font-family: "Space Mono", monospace;
    font-weight: 400;
    font-style: normal;
}

.space-mono-bold {
    font-family: "Space Mono", monospace;
    font-weight: 700;
    font-style: normal;
}

.space-mono-regular-italic {
    font-family: "Space Mono", monospace;
    font-weight: 400;
    font-style: italic;
}

.space-mono-bold-italic {
    font-family: "Space Mono", monospace;
    font-weight: 700;
    font-style: italic;
}

.link {
    text-decoration: none;
    color: var(--color-surface);
}

.flex {
    display: flex;
}

.justify-center {
    justify-content: center;
}

.space-between {
    justify-content: space-between;
}

.items-center {
    align-items: center;
}

.blog-item {
    display: flex;
    gap: 20px;
}

.font-surface {
    color: var(--color-surface);
}

.font-muted {
    color: var(--color-muted);
}

.text-justify {
    text-align: justify;
}
